<div>
    <a class="uk-button uk-button-default uk-width-1-1" (click)="generateHtmlCanva(100)">GENERATE COMPLETE PRINT</a>
    <div class="uk-hidden uk-placeholder" #resultPageTable>
        
    </div>
</div>

<div #tablaparacaptura class="uikit-modern-micro">
    <div>
        
        <!-- Agregacion de cada grand parameter individualmente-->

        <div class="uk-card uk-padding-small uk-margin-small" *ngFor="let grandParameter of grandParameters;let igp = index">
             
            <div id="tablacaptura{{igp}}">
                <div class="uk-margin-small">
                    <div class="uk-card uk-card-defaul uk-cardbody">
                        <a (click)="generateHtmlCanva(igp)" class="uk-icon-button" style="float:right; z-index: 9999;">
                            <span uk-icon="icon: print"></span>
                        </a> 
                        <h2 class="uk-margin-remove uk-text-bold uk-text-uppercase">{{dataclaseentry.team_name}}</h2>
                        <p class="uk-margin-remove uk-text-bold uk-text-uppercase">EVENT: {{dataclaseentry.event_title}} CATEGORY: {{dataclaseentry.category_title}}</p>
                    </div>
                </div>
                
                <div class="">
                    
                    <table style="background-color: #fff;" class="uk-table uk-table-middle uk-table-small uk-table-hover" border="1">
                        <thead>
                            <tr class="">
                                <th style="color: #000 !important;" [hidden]="true" class="uk-table-shrink uk-text-smaller uk-text-center">CLAIM</th>
                                <th style="color: #000 !important;" class="uk-table-shrink uk-text-smaller uk-text-bold">PARAMETER</th>
                                <th style="color: #000 !important;" class="uk-table-shrink uk-text-smaller"></th>
                                <th style="color: #000 !important;" class="uk-text-smaller uk-text-center uk-text-bold">CRITERIA</th>
                                
                                <th style="color: #000 !important;" class="uk-table-shrink uk-text-smaller uk-text-center uk-text-bold">SCORE</th>
                                <th style="color: #000 !important;" [hidden]="true" class="uk-table-shrink uk-text-smaller uk-text-center">NOTE</th>
                                <th style="color: #000 !important;" [hidden]="true" class="uk-table-shrink uk-text-smaller uk-text-center">ALERT</th>
                            </tr>
                        </thead> 

                        <tbody class="" *ngFor="let param of grandParameter.parameters;let i = index">
                            <!-- NOMBRE DEL SUPER PARAMETRO -->
                            <ng-container *ngIf="param.gp_id !== grandParameter.parameters[i - 1]?.gp_id || i === 0">
                                <tr>
                                    <td class="uk-text-bold uk-margin-top" colspan="7">
                                        <span style="color: #000 !important;">{{param.gp_title && param.gp_title !== null ? param.gp_title: 'NO GRAND PARAMETER'}}</span>
                                    </td>
                                </tr>
                            </ng-container>
                            <!-- NOMBRE DEL SUPER PARAMETRO END -->
                            
                            <!-- NOMBRES DE LOS CRITERIOS -->
                            <tr>
                                <td style="color: #000 !important;" [hidden]="true" class="uk-text-smaller uk-text-center"></td> 
                                <td style="color: #000 !important;" class="uk-text-smaller uk-text-nowrap"></td>
                                <td style="color: #000 !important;" class="uk-text-smaller uk-text-center uk-text-bold">VALUE</td>
                                
                                <td style="color: #000 !important;" class="uk-text-smaller uk-text-nowrap">
                                    <div class="uk-grid-divider uk-child-width-expand" uk-grid>
                                        <div class="" *ngFor="let criteria of param.criteria;let y = index">
                                            <span class="uk-text-bold uk-text-small uk-text-center">{{criteria.title}} <span class="uk-hidden">{{criteria.points}}</span></span>
                                            <span *ngIf="y+1 != param.criteria.length"></span>
                                        </div>    
                                    </div>
                                </td>
                                
                                <td style="color: #000 !important;" class="uk-text-small uk-text-center uk-text-center"></td>
                                <td style="color: #000 !important;" [hidden]="true" class="uk-text-smaller uk-text-center"></td>
                                <td style="color: #000 !important;" [hidden]="true" class="uk-text-center"></td>
                            </tr>
                            <!-- NOMBRES DE LOS CRITERIOS END -->
                            
                            <!-- CADA PARAMETRO DENTRO DE UN SUPER PARAMETRO -->
                            <tr>
                                <td style="color: #000 !important;" [hidden]="true" class="uk-text-smaller uk-text-center"><a (click)="openClaimGenerator(1,param.id)" uk-icon="icon: warning; ratio: 0.75;"></a></td> 
                                <td style="color: #000 !important;" class="uk-text-smaller uk-text-nowrap">{{param.name}}</td>
                                <td style="color: #000 !important;" class="uk-text-small uk-text-center">{{param.total}}</td>
                                
                                <td style="color: #000 !important;" class="uk-text-nowrap">
                                    <div class="uk-grid-divider uk-child-width-expand" uk-grid>
                                        <span class="" *ngFor="let criteria of param.criteria;let y = index">
                                            <span class="uk-hidden uk-text-bold uk-text-center">{{criteria.title}} <span class="uk-hidden">{{criteria.points}}</span></span>
                                            <span class="uk-text-bold uk-text-center">{{criteria.qualpoints}}</span>
                                            <span *ngIf="y+1 != param.criteria.length"></span>
                                        </span>
                                    </div>
                                </td>
                                
                                <td style="color: #000 !important;" class="uk-text-bold uk-text-center uk-text-center">{{param.qualtotal.toFixed(2)}}</td>
                                
                                <td style="color: #000 !important;"  [hidden]="true" class="uk-text-smaller uk-text-center"><a href="#" uk-icon="icon: comment; ratio: 0.75;" [attr.uk-toggle]="'target: #parameter-toogle-athlete-oppener'+i"></a></td>
                                <td style="color: #000 !important;" [hidden]="true" class="uk-text-center"></td>
                            </tr>
                            <!-- CADA PARAMETRO DENTRO DE UN SUPER PARAMETRO END -->
                        
                        </tbody>
                        
                        <tr> 
                            <td colspan="5">
                                <h3 class="uk-text-right">SCORE {{grandParameter.totalpuntos.toFixed(2)}}</h3>
                            </td>
                        </tr>
                        
                        <tr> 
                            <td colspan="5" style="page-break-after: always;">
                                COMMENTS:
                                <div [innerHTML]="grandParameter.comments">

                                </div>
                            </td>
                        </tr>
                        
                    </table>
                </div>
            </div>
        </div>

        
    </div>

    


    <!---- TABLE CON PARAMETER Y GRANDPARAMETER ----->
    <div class="uk-card uk-card-default uk-padding-small uk-margin-small" style="page-break-after: always;">
        <div id="summary">
            
            <div class="uk-margin-small" style="page-break-after: always;">
                <div class="uk-card uk-card-defaul uk-cardbody">
                    <a (click)="generateHtmlCanva(102)" class="uk-icon-button" style="float:right; z-index: 9999;">
                        <span uk-icon="icon: print"></span>
                    </a> 
                    <h2 class="uk-margin-remove uk-text-bold uk-text-uppercase">{{dataclaseentry.team_name}}</h2>
                    <p class="uk-margin-remove uk-text-bold uk-text-uppercase">EVENT: {{dataclaseentry.event_title}} CATEGORY: {{dataclaseentry.category_title}}</p>
                </div>
            </div>

            <div class="uk-grid-small" uk-grid uk-height-match=".uk-card">
                <!-- CUADROS DE NOTAS FINALES DE LA PARTICIPACION -->
                <div class="uk-width-3-5@lborraraqui uk-width-1-1 uk-margin-auto-vertical">
                    <div class="uk-grid-small" uk-grid>
                        <div class="uk-width-1-5 uk-hidden">
                            <div ng-if="showAceptButton" class="uk-card uk-card-default uk-flex uk-flex-middle uk-flex-center uk-flex-column">
                                <p class="uk-margin-remove">SCORES</p>
                                <p class="uk-text-smaller uk-margin-remove">2021.JUL.07:17.52</p>  
                            </div>
                        </div>

                        <div class="uk-width-4-5borraraqui uk-width-1-1">
                            <div *ngIf="params.parameters" class="uk-child-width-1-3 uk-grid-small" uk-grid>
                                <div>
                                    <div class="uk-card uk-card-body" style="border: black 1px solid;">
                                        <div class="uk-flex uk-flex-middle uk-flex-center uk-flex-column">
                                            <h3 *ngIf="params.parameters.length != 0" class="uk-margin-remove uk-text-bold">{{params.totalpuntos.toFixed(2)}}</h3>
                                            <p *ngIf=" params.parameters.length == 0" class="uk-margin-remove uk-text-small"><i uk-icon="clock"></i></p>
                                            <p class="uk-margin-remove uk-text-smaller">SCORE</p> 
                                        </div>
                                    </div> 
                                </div>

                                <div>
                                    <div class="uk-card uk-card-body" style="border: black 1px solid;">
                                        <div class="uk-flex uk-flex-middle uk-flex-center uk-flex-column">
                                            <h3 *ngIf=" params.parameters.length != 0" class="uk-margin-remove uk-text-bold">{{params.totalpenal.toFixed(2)}}</h3>
                                            <p *ngIf=" params.parameters.length == 0" class="uk-margin-remove uk-text-small"><i uk-icon="clock"></i></p>
                                            <p class="uk-margin-remove uk-text-smaller">PENAL</p>
                                        </div>
                                    </div>
                                </div>

                                <div>
                                    <div class="uk-card uk-card-body" style="border: black 1px solid;">
                                        <div class="uk-flex uk-flex-middle uk-flex-center uk-flex-column uk-text-center">
                                            <h3 *ngIf=" params.parameters.length != 0" class="uk-margin-remove uk-text-bold">{{params.totalrest.toFixed(2)}}</h3>
                                            <p *ngIf=" params.parameters.length == 0" class="uk-margin-remove"><i uk-icon="clock"></i></p>
                                            <p class="uk-margin-remove-top uk-margin-remove-bottom uk-text-smaller">TOTAL</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- CUADROS DE NOTAS FINALES DE LA PARTICIPACION END -->

                <!-- RELOJ DE ACEPTACION DE NOTAS PARA VIRTUAL -->
                <div *ngIf="params.times && params.parameters.length != 0" class="uk-hidden uk-width-2-5@l uk-margin-auto-vertical">
                    <div class="uk-grid-small uk-child-width-auto uk-flex uk-flex-center uk-margin-small-bottom" uk-grid [attr.uk-countdown]="'date: '+params.times.dateWithPlus">
                        <div>
                            <div class="uk-countdown-number uk-countdown-hours uk-text-center"></div>
                            <div class="uk-countdown-label uk-text-center uk-text-uppercase">Hrs</div>
                        </div>
                        <div class="uk-countdown-separator">:</div>
                        <div>
                            <div class="uk-countdown-number uk-countdown-minutes uk-text-center"></div>
                            <div class="uk-countdown-label uk-text-center uk-text-uppercase">Min</div>
                        </div>
                        <div class="uk-countdown-separator">:</div>
                        <div>
                            <div class="uk-countdown-number uk-countdown-seconds uk-text-center"></div>
                            <div class="uk-countdown-label uk-text-center uk-text-uppercase">Sec</div>
                        </div>
                        <div>
                            <p class="uk-margin-remove uk-text-smaller uk-text-uppercase"><span uk-icon="icon: clock"></span> LEFT</p>
                        </div>
                    </div>
                    <a *ngIf="showAceptButton" class="uk-button uk-button-default uk-width-1-1" (click)="updateStateToAcceptNotes()" uk-tooltip="title: APPROVE; pos: top"><span uk-icon="cloud-upload; ratio: 0.75"></span>ACCEPT SCORES</a>
                </div>
                <!-- RELOJ DE ACEPTACION DE NOTAS PARA VIRTUAL END -->
                
            </div>
            <div class="">
                
                <h2 style="color: #000 !important;" class="">SCORE SHEET</h2>
                
                <table style="background-color: #fff;" class="uk-table uk-table-middle uk-table-small uk-table-hover" border="1">
                    <thead>
                        <tr class="">
                            <th style="color: #000 !important;" [hidden]="true" class="uk-table-shrink uk-text-smaller uk-text-center">CLAIM</th>
                            <th style="color: #000 !important;" class="uk-table-shrink uk-text-smaller uk-text-bold">PARAMETER</th>
                            <th style="color: #000 !important;" class="uk-table-shrink uk-text-smaller"></th>
                            <th style="color: #000 !important;" class="uk-text-smaller uk-text-center uk-text-bold">CRITERIA</th>
                            
                            <th style="color: #000 !important;" class="uk-table-shrink uk-text-smaller uk-text-center uk-text-bold">SCORE</th>
                            <th style="color: #000 !important;" [hidden]="true" class="uk-table-shrink uk-text-smaller uk-text-center">NOTE</th>
                            <th style="color: #000 !important;" [hidden]="true" class="uk-table-shrink uk-text-smaller uk-text-center">ALERT</th>
                        </tr>
                    </thead> 

                    <tbody class="" *ngFor="let param of params.parameters;let i = index">
                        <!-- NOMBRE DEL SUPER PARAMETRO -->
                        <ng-container *ngIf="param.gp_id !== params.parameters[i - 1]?.gp_id || i === 0">
                            <tr>
                                <td class="uk-text-bold uk-margin-top" colspan="7">
                                    <span style="color: #000 !important;">{{param.gp_title && param.gp_title !== null ? param.gp_title: 'NO GRAND PARAMETER'}}</span>
                                </td>
                            </tr>
                        </ng-container>
                        <!-- NOMBRE DEL SUPER PARAMETRO END -->
                        
                        <!-- NOMBRES DE LOS CRITERIOS -->
                        <tr>
                            <td style="color: #000 !important;" [hidden]="true" class="uk-text-smaller uk-text-center"></td> 
                            <td style="color: #000 !important;" class="uk-text-smaller uk-text-nowrap"></td>
                            <td style="color: #000 !important;" class="uk-text-smaller uk-text-center uk-text-bold">VALUE</td>
                            
                            <td style="color: #000 !important;" class="uk-text-smaller uk-text-nowrap">
                                <div class="uk-grid-divider uk-child-width-expand" uk-grid>
                                    <div class="" *ngFor="let criteria of param.criteria;let y = index">
                                        <span class="uk-text-bold uk-text-small uk-text-center">{{criteria.title}} <span class="uk-hidden">{{criteria.points}}</span></span>
                                        <span *ngIf="y+1 != param.criteria.length"></span>
                                    </div>    
                                </div>
                            </td>
                            
                            <td style="color: #000 !important;" class="uk-text-small uk-text-center uk-text-center"></td>
                            <td style="color: #000 !important;" [hidden]="true" class="uk-text-smaller uk-text-center"></td>
                            <td style="color: #000 !important;" [hidden]="true" class="uk-text-center"></td>
                        </tr>
                        <!-- NOMBRES DE LOS CRITERIOS END -->
                        
                        <!-- CADA PARAMETRO DENTRO DE UN SUPER PARAMETRO -->
                        <tr>
                            <td style="color: #000 !important;" [hidden]="true" class="uk-text-smaller uk-text-center"><a (click)="openClaimGenerator(1,param.id)" uk-icon="icon: warning; ratio: 0.75;"></a></td> 
                            <td style="color: #000 !important;" class="uk-text-smaller uk-text-nowrap">{{param.name}}</td>
                            <td style="color: #000 !important;" class="uk-text-small uk-text-center">{{param.total}}</td>
                            
                            <td style="color: #000 !important;" class="uk-text-nowrap">
                                <div class="uk-grid-divider uk-child-width-expand" uk-grid>
                                    <span class="" *ngFor="let criteria of param.criteria;let y = index">
                                        <span class="uk-hidden uk-text-bold uk-text-center">{{criteria.title}} <span class="uk-hidden">{{criteria.points}}</span></span>
                                        <span class="uk-text-bold uk-text-center">{{criteria.qualpoints}}</span>
                                        <span *ngIf="y+1 != param.criteria.length"></span>
                                    </span>
                                </div>
                            </td>
                            
                            <td style="color: #000 !important;" class="uk-text-bold uk-text-center uk-text-center">{{param.qualtotal.toFixed(2)}}</td>
                            
                            <td style="color: #000 !important;"  [hidden]="true" class="uk-text-smaller uk-text-center"><a href="#" uk-icon="icon: comment; ratio: 0.75;" [attr.uk-toggle]="'target: #parameter-toogle-athlete-oppener'+i"></a></td>
                            <td style="color: #000 !important;" [hidden]="true" class="uk-text-center"></td>
                        </tr>
                        <!-- CADA PARAMETRO DENTRO DE UN SUPER PARAMETRO END -->
                    </tbody>
                    
                    <tr> 
                        <td colspan="5">
                            <h3 class="uk-text-right">SCORE FINAL {{params.totalpuntos.toFixed(2)}}</h3>
                        </td>
                    </tr>
                    
                </table>
            </div>
        </div>
        <div>
            <div id="penalty">
                <a (click)="generateHtmlCanva(101)" class="uk-icon-button" style="float:right; z-index: 9999;">
                    <span uk-icon="icon: print"></span>
                </a> 
                <h2 class="">PENALTYS</h2>
                
                <table style="background-color: #fff;" class="uk-table uk-table-middle uk-table-small uk-table-hover" border="1">
                    <thead>
                        <tr class="uk-background-default uk-light">
                            <th style="font-weight:700 !important;color:black" [hidden]="true" class="uk-table-shrink uk-text-smaller uk-text-center uk-text-bold">CLAIM</th>
                            <th style="font-weight:700 !important;color:black" class="uk-table-shrink uk-text-smaller uk-text-bold">PENALTY</th>
                            <th style="font-weight:700 !important;color:black" class="uk-text-smaller uk-text-bold">TIMES</th>
                            <th style="font-weight:700 !important;color:black" class="uk-table-shrink uk-text-smaller uk-text-bold">VALUE</th>
                            <th style="font-weight:700 !important;color:black" class="uk-table-shrink uk-text-smaller uk-text-center uk-text-bold">TOTAL</th>
                            <th style="font-weight:700 !important;color:black" [hidden]="true" class="uk-table-shrink uk-text-smaller uk-text-center uk-text-bold">COMMENT</th>
                            <th style="font-weight:700 !important;color:black" [hidden]="true" class="uk-table-shrink uk-text-smaller uk-text-center uk-text-bold">ALERT</th>
                        </tr>
                    </thead>
                    
                    <tr *ngIf="hitzero">
                        <td colspan="7"><p class="uk-text-center uk-text-smaller">HIT 0 | NO PENALTY</p></td>
                        <td class="uk-text-center"></td>
                    </tr>
                    
                    <tbody [hidden]="penalty.judgements.length == 0" *ngFor="let penalty of params.penalties;let penalindex = index">
                        <tr>
                            <td [hidden]="true" class="uk-text-smaller uk-text-center"><a href="#" uk-icon="icon: warning; ratio: 0.75;"></a></td>
                            <td class="uk-text-smaller uk-text-nowrap">{{penalty.name}}</td>
                            <td class="uk-text-smaller uk-text-wrap">
                                <span *ngFor="let item of penalty.judgements;let i = index">
                                    <a [attr.uk-toggle]="'target: #penalty-toogle-oppener'+i+'_'+penalindex" class="uk-margin-remove" uk-tooltip="title: MIN:SEG; pos: top">0{{item.time.min}}:0{{item.time.sec}}</a> || 
                                </span>
                            </td>
                            <td class="uk-text-small uk-text-center">{{penalty.points}}</td>
                            <td class="uk-text-small uk-text-center uk-text-center">{{penalty.ammount}}</td>
                            <td [hidden]="true" class="uk-text-smaller uk-text-center"><a href="#" uk-icon="icon: comment; ratio: 0.75;"></a></td>
                            <td [hidden]="true" class="uk-text-center"><app-status-visualizer [showMainStatus]="true" [statusMainData]="penalty.flag" ></app-status-visualizer></td>
                        </tr>

                        <tr *ngFor="let item of penalty.judgements;let i = index" [attr.id]="'penalty-athlete-toogle-oppener'+i+'_'+penalindex" >
                            <td class="uk-text-smaller" colspan="7"> <span class="uk-text-bold">0{{item.time.min}}:0{{item.time.sec}}</span> {{item.coment || 'No comment '}}</td>
                        </tr>
                        
                        <tr class="uk-width-1-1">
                            <td class="uk-background-muted" colspan="8"><hr class="uk-hr-divider"></td>
                        </tr>
                    </tbody>
                    
                    <tr> 
                        <td colspan="5">
                            <h3 class="uk-text-right">TOTAL DEDUCTIONS {{params.totalpenal.toFixed(2)}}</h3>
                        </td>
                    </tr>
                </table>
            <div>
        </div>
    </div>
    <!---- TABLE ----->
</div> 